Summary: Parallel rc with LSB dependency resolver
Name: prcsys
Version: 0
Release: 0.7.20070622svn%{?dist}
# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
#  svn export -r 165 http://zarb.org/users/svn/trem/prcsys/trunk/ prcsys
#  tar -cjvf prcsys-0.20070622svn.tar.bz2 prcsys
Source0: prcsys-0.20070622svn.tar.bz2
# until there is a copyright file provided
Source1: GPL.txt
Patch: prcsys-outdir.patch
License: GPLv2+
Group: System Environment/Base
Url: http://wiki.mandriva.com/en/Development/Howto/Pinit
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
The prcsys package contains basic system components used to boot
your Red Hat system services in a LSB conform way.

%prep
%setup -q -n %{name}
%patch -p1 -b .outdir
cp %{SOURCE1} COPYRIGHT

%build
make CFLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/sbin
install -m755 prcsys $RPM_BUILD_ROOT/sbin/
mkdir -m 0755 -p $RPM_BUILD_ROOT/%{_localstatedir}/run/services/output

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc AUTHORS Changelog COPYRIGHT
%defattr(755,root,root)
/sbin/prcsys
%dir %{_localstatedir}/run/services
%dir %{_localstatedir}/run/services/output


%changelog
* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0-0.7.20070622svn
- Autorebuild for GCC 4.3

* Thu Aug 23 2007 Harald Hoyer <harald@redhat.com> - 0-0.6.20070622svn
- changed license tag

* Wed Jul  4 2007 Harald Hoyer <harald@redhat.com> - 0-0.2.20070622svn
- added copyright and smp make flags

* Fri Jun 22 2007 Harald Hoyer <harald@redhat.com> - 0-0.1.20070622svn
- first import in Fedora
